- Home
- API Enriched
- Observability
- observability
- GET Monitor Events.
GET Monitor Events.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/observability/synthetic_monitor/namespaces/example/monitor-events';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/observability/synthetic_monitor/namespaces/example/monitor-events \ --header 'Authorization: <Authorization>'Returns the healthy and critical events for the specified monitor.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Request namespace.
Query Parameters
Section titled “Query Parameters”Monitor_type. X-required Monitor type.
Monitor_name. X-required Monitor name.
Start_time. X-required Start time for requested events.
End_time. End time for requested events (default: current time)
Responses
Section titled “Responses”A successful response.
Monitor health events by region.
object
{ “event_time”: “2022-02-09T19:48:11Z”, “historical_health”: “Critical”, “event”: “HTTP monitor test1 in region VES-I/O-paris turns critical due to connection timeout.”, “source”: “Global”, “monitor_type”: "", “provider”: "", }, { “event_time”: “2022-02-09T19:48:11Z”, “historical_health”: “Healthy”, “event”: “HTTP monitor test1 in region VES-I/O-paris turns critical due to connection timeout.”, “source”: “VES-I/O-paris”, “monitor_type”: “HTTP”, “provider”: “f5xc”, }, … ], List of the monitor health events.
object
object
Configuration parameter for answer
Configuration parameter for compress
Configuration parameter for dns lookup ms
Data or content configuration
Configuration parameter for msg hdr authoritative
Disable functionality when true
Unique identifier for this resource
Configuration parameter for msg hdr opcode
Configuration parameter for msg hdr rcode
Configuration parameter for msg hdr recursion available
Configuration parameter for msg hdr response
Configuration parameter for msg hdr truncated
Configuration parameter for msg hdr zero
Configuration parameter for question
Geographic region for resource placement
Status or state information
Configuration parameter for trailer
Description of health event.
Date and time of event.
Last recorded health of monitor.
object
Request or response body content
Configuration parameter for content length
Configuration parameter for content transfer ms
Configuration parameter for dns lookup ms
Configuration parameter for header
Configuration parameter for proto
Geographic region for resource placement
Configuration parameter for server processing ms
Status or state information
Configuration parameter for tcp connection ms
IP address configuration
Configuration parameter for tls did resume
Configuration parameter for tls handshake complete
Configuration parameter for tls handshake ms
Configuration parameter for tls negotiated protocol
Human-readable name for the resource
Version number or identifier
Configuration parameter for trailer
Configuration parameter for transfer encoding
Configuration parameter for uncompressed
Monitor type Required: YES.
Region provider.
Region event occurred in.
Examplegenerated
{ "events": [ { "dns_detail": { "answer": "example", "compress": "example", "dns_lookup_ms": "example", "msg_hdr_authenticated_data": "example", "msg_hdr_authoritative": "example", "msg_hdr_checking_disabled": "example", "msg_hdr_id": "example", "msg_hdr_opcode": "example", "msg_hdr_rcode": "example", "msg_hdr_recursion_available": "example", "msg_hdr_response": "example", "msg_hdr_truncated": "example", "msg_hdr_zero": "example", "question": "example", "region": "example", "status_code": "example", "trailer": "example" }, "event": "example", "event_time": "example", "historical_health": "example", "http_detail": { "body": "example", "content_length": "example", "content_transfer_ms": "example", "dns_lookup_ms": "example", "header": "example", "proto": "example", "region": "example", "server_processing_ms": "example", "status_code": "example", "tcp_connection_ms": "example", "tls_cipher_suite": "example", "tls_did_resume": "example", "tls_handshake_complete": "example", "tls_handshake_ms": "example", "tls_negotiated_protocol": "example", "tls_server_name": "example", "tls_version": "example", "trailer": "example", "transfer_encoding": "example", "uncompressed": "example" }, "monitor_type": "example", "provider": "example", "source": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example